Name:     click-radio
Version:  0.1.1
Release:  %mkrel 1

Summary:  Click Radio
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: yad  
Requires: mpg321
Requires: streamripper
Requires: gnome-icon-theme
Requires: hicolor-icon-theme
Obsoletes: %{name} < %{version}

%description
A lightweight simple to use gui program that plays local 
mp3 files, creates a playlist, records and streams web 
radio content.

%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Multimedia-Sound;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus

%postun
%clean_menus


%files 
%defattr(-,root,root)
%doc LICENCE README.md ChangeLog AUTHORS
%{_bindir}/%{name}
%{_bindir}/click-record
%_datadir/%{name}
%_datadir/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.svg

%changelog
* Tue Apr 05 2016 Ken <lxgator at gmail.com> 0.1.1-1pclos2016
- 0.1.1 

* Sat Feb 27 2016 Ken <lxgator at gmail.com> 0.1.0-1pclos2016
- create rpm pkg 

